RRD Graphs Not Working After Upgrade to v2.3



  • I upgraded to v2.3 (from v2.2.6) 5 days ago and since then the RRD graphs have stopped working.  I am now getting "Error: There was an error loading the Left Y Axis." no matter which options I change:

    Everything else seems to be working as expected, but I just noticed that my version is currently:

    2.3-RELEASE (i386)
    built on Mon Apr 11 18:12:06 CDT 2016
    FreeBSD 10.3-RELEASE

    which is interesting because I was on the 64-bit version of v2.2.6 pre-upgrade, so why did it upgrade me to the 32-bit version of v2.3?  Part of the problem or coincidence?

    Anyone else having this problem or have some insight?


  • Administrator

    @marvosa:

    Everything else seems to be working as expected, but I just noticed that my version is currently:

    2.3-RELEASE (i386)
    built on Mon Apr 11 18:12:06 CDT 2016
    FreeBSD 10.3-RELEASE

    which is interesting because I was on the 64-bit version of v2.2.6 pre-upgrade, so why did it upgrade me to the 32-bit version of v2.3?  Part of the problem or coincidence?

    Anyone else having this problem or have some insight?

    That's your problem. 32-bit and 64-bit RRD aren't compatible, you'll have to install the 64bit.



  • Well, re-installing to 64 bit worked.  RRD graphs are now functioning, but it would be nice to know how I was upgraded to the 32 bit version to begin with as I just lost all my historical data.  I suppose we'll never know.

    At any rate, all is well going forward.



  • That's what happens when you have an auto-update URL hard coded to the wrong place (usually restoring a config from 32 bit system where it was hard coded to a 64 bit system later). If it's left at defaults, it'll never change architecture. System>Firmware, Updater Settings tab, uncheck "Use an unofficial server for firmware upgrades".

    Going forward, it's not possible to switch architectures once you're on 2.3.


Log in to reply